org.eclipse.gef.dot.internal

## Enum DotAttributes.Context

- java.lang.Object
- - java.lang.Enum<DotAttributes.Context>
  - - org.eclipse.gef.dot.internal.DotAttributes.Context

All Implemented Interfaces:
  Serializable, Comparable<DotAttributes.Context>

Enclosing class:
  DotAttributes

    public static enum DotAttributes.Context
    extends Enum<DotAttributes.Context>

Contexts by which attributes may be used.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLUSTER`
`EDGE`
`GRAPH`
`NODE`
`SUBGRAPH`

### Method Summary

All Methods Static Methods Concrete Methods
`static DotAttributes.Context` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DotAttributes.Context[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GRAPH

    public static final DotAttributes.Context GRAPH

#### EDGE

    public static final DotAttributes.Context EDGE

#### NODE

    public static final DotAttributes.Context NODE

#### SUBGRAPH

    public static final DotAttributes.Context SUBGRAPH

#### CLUSTER

    public static final DotAttributes.Context CLUSTER

### Method Detail

#### values

    public static DotAttributes.Context[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DotAttributes.Context c : DotAttributes.Context.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DotAttributes.Context valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null